> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangopay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reverse an Intent Split

> Cancel an unexecuted Split

Reversing a Split effectively cancels it, and can only be done when it has the `Status` of `AVAILABLE` or `REJECTED`.

### Path parameters

<ParamField path="IntentId" type="string" required>
  The unique identifier of the Intent.
</ParamField>

<ParamField path="SplitId" type="string" required>
  The unique identifier of the Split.
</ParamField>

### Body parameters

No request body to reverse Split.

### Responses

<AccordionGroup>
  <Accordion title="200 - Response parameters" defaultOpen>
    <ResponseField name="Id" type="string">
      The unique identifier of the Split.
    </ResponseField>

    <ResponseField name="LineItemId" type="string">
      The unique identifier of the line item.
    </ResponseField>

    <ResponseField name="SellerId" type="string">
      The unique identifier of the seller of the line item.
    </ResponseField>

    <ResponseField name="WalletId" type="string">
      The unique identifier of the wallet to credit the seller's funds.
    </ResponseField>

    <ResponseField name="SplitAmount" type="type">
      The amount to transfer to the seller's `WalledId`.

      The sum of the `SplitAmount` values of all `Splits` must be lower than or equal to the `AvailableAmountToSplit` of the Intent.
    </ResponseField>

    <ResponseField name="FeesAmount" type="string">
      The amount of fees.

      The sum of the `FeesAmount` values of all `Splits` must be lower than or equal to the `PlatformFeesAmount` of the Intent.
    </ResponseField>

    <ResponseField name="TransferDate" type="Unix timestamp">
      The future date when the funds are to be automatically transferred to the seller's wallet.
    </ResponseField>

    <ResponseField name="Description" type="string">
      The description of the Split.
    </ResponseField>

    <ResponseField name="Status" type="string">
      The status of the Split:

      * `CREATED`
      * `PENDING_FUNDS_RECEPTION`
      * `AVAILABLE`
      * `PENDING`
      * `COMPLETED`
      * `REJECTED`
      * `FAILED`
      * `REVERSED`
      * `REFUND_SPLIT_PENDING`
      * `REFUND_SPLIT_REJECTED`
      * `REFUND_SPLIT_COMPLETED`
    </ResponseField>
  </Accordion>
</AccordionGroup>

<AccordionGroup />

<ResponseExample>
  ```json theme={null}
  {
      "Id": "int_split_0197f979-46a1-7810-adfc-a4bcdd7a9315",
      "LineItemId": "int_li_0197f975-63f9-7cb9-b906-43671509eb34",
      "SellerId": "user_m_01JZWQAGPP1ZQR39QTH2TCP587",
      "WalletId": "wlt_m_01JZWQAJN34AGPDRTP9KHBYNYX",
      "SplitAmount": 8000,
      "FeesAmount": 0,
      "Description": "Example description of the Split",
      "Status": "REVERSED"
  }
  ```
</ResponseExample>

<RequestExample>
  ```json theme={null}
  // No request body
  ```
</RequestExample>
